#!/usr/bin/python
import mcpi.minecraft as minecraft
import mcpi.block as block
import RPi.GPIO as GPIO
import time

mc = minecraft.Minecraft.create()
rot    = 0
gelb   = 1
gruen  = 2
frot   = 3
fgruen = 4
Ampel  = [18,23,25,7,12]
r1 = 14
o1 = 4
g1 = 5
sw = 15
ax = -50
ay = 2
az = -38
fx = -50
fy = 2
fz = -42

GPIO.setmode(GPIO.BCM)
GPIO.setup(Ampel[rot], GPIO.OUT, initial=False)
GPIO.setup(Ampel[gelb], GPIO.OUT, initial=False)
GPIO.setup(Ampel[gruen], GPIO.OUT, initial=True)
GPIO.setup(Ampel[frot], GPIO.OUT, initial=True)
GPIO.setup(Ampel[fgruen], GPIO.OUT, initial=False)

mc.setBlock(ax, ay, az, block.WOOL.id, g1)
mc.setBlock(ax, ay+1, az, block.WOOL.id, sw)
mc.setBlock(ax, ay+2, az, block.WOOL.id, sw)
mc.setBlock(fx, fy, fz, block.WOOL.id, sw)
mc.setBlock(fx, fy+1, fz, block.WOOL.id, r1)
mc.setBlock(fx, fy, fz-2, block.IRON_ORE.id)
mc.player.setPos(-48,2,-46)

try:
    while True:
        for hit in mc.events.pollBlockHits():
            bl = mc.getBlockWithData(hit.pos.x, hit.pos.y, hit.pos.z)
            if bl.id == block.IRON_ORE.id:
                mc.setBlock(fx, fy, fz-2, block.GOLD_ORE.id)
                time.sleep(0.1)
                mc.setBlock(fx, fy, fz-2, block.IRON_ORE.id)
                GPIO.output(Ampel[gruen],False)
                mc.setBlock(ax, ay, az, block.WOOL.id, sw)
                GPIO.output(Ampel[gelb],True)
                mc.setBlock(ax, ay+1, az, block.WOOL.id, o1)
                time.sleep(0.6)
                GPIO.output(Ampel[gelb],False)
                mc.setBlock(ax, ay+1, az, block.WOOL.id, sw)
                GPIO.output(Ampel[rot],True)
                mc.setBlock(ax, ay+2, az, block.WOOL.id, r1)
                time.sleep(0.6)
                mc.setBlock(fx, fy, fz, block.WOOL.id, g1)
                GPIO.output(Ampel[fgruen], True)
                mc.setBlock(fx, fy+1, fz, block.WOOL.id, sw)
                GPIO.output(Ampel[frot], False)
                time.sleep(2)
                mc.setBlock(fx, fy+1, fz, block.WOOL.id, r1)
                GPIO.output(Ampel[frot], True)
                mc.setBlock(fx, fy, fz, block.WOOL.id, sw)
                GPIO.output(Ampel[fgruen], False)
                time.sleep(0.6)
                GPIO.output(Ampel[gelb],True)
                mc.setBlock(ax, ay+1, az, block.WOOL.id, o1)
                time.sleep(0.6)
                GPIO.output(Ampel[rot],False)
                mc.setBlock(ax, ay+2, az, block.WOOL.id, sw)
                GPIO.output(Ampel[gelb],False)
                mc.setBlock(ax, ay+1, az, block.WOOL.id, sw)
                GPIO.output(Ampel[gruen],True)
                mc.setBlock(ax, ay, az, block.WOOL.id, g1)
                time.sleep(2)

except KeyboardInterrupt:
    GPIO.cleanup()
    mc.setBlock(fx, fy, fz-2, block.AIR.id)
