#!/usr/bin/python
import mcpi.minecraft as minecraft
import mcpi.block as block
import RPi.GPIO as GPIO

r = 18
g = 23
mc = minecraft.Minecraft.create()
GPIO.setmode(GPIO.BCM)
GPIO.setup(r, GPIO.OUT)
GPIO.setup(g, GPIO.OUT)

try:
  while True:
    p = mc.player.getTilePos()
    mat = mc.getBlock(p.x, p.y-1, p.z)
    if mat==block.GRASS.id:
        GPIO.output(g, True)
        GPIO.output(r, False)
    else:
        GPIO.output(r, True)
        GPIO.output(g, False)

except KeyboardInterrupt:
  GPIO.cleanup()
