#!/usr/bin/python
import mcpi.minecraft as minecraft
import RPi.GPIO as GPIO

mc = minecraft.Minecraft.create()
LED = [18,23,24,8,7]

GPIO.setmode(GPIO.BCM)
for i in LED:
    GPIO.setup(i, GPIO.OUT, initial=False)

try:
    while True:
        p = mc.player.getTilePos()
        for i in LED:
            GPIO.output(i,False)
        if p.y < 0:
            GPIO.output(LED[4],True)
        elif p.y <= 2:
            GPIO.output(LED[3],True)
        elif p.y <= 6:
            GPIO.output(LED[2],True)
        elif p.y <= 10:
            GPIO.output(LED[1],True)
        else:
            GPIO.output(LED[0],True)

except KeyboardInterrupt:
    GPIO.cleanup()
