#!/usr/bin/python
import mcpi.minecraft as minecraft
import mcpi.block as block
import RPi.GPIO as GPIO
import time

mc = minecraft.Minecraft.create()
LED = 18
k1 = 20
x = -52
y = 2
z = -50

GPIO.setmode(GPIO.BCM)
GPIO.setup(LED, GPIO.OUT, initial=False)
GPIO.setup(k1, GPIO.IN)

mc.player.setPos(x,y,z)

try:
  while True:
    if GPIO.input(k1) == False:
      GPIO.output(LED, True)
      mc.setBlocks(x-1, y, z+2, x, y, z+3, block.DIAMOND_ORE.id)
    else:
      GPIO.output(LED, False)
      mc.setBlocks(x-1, y, z+2, x, y, z+3, block.STONE.id)
    time.sleep(0.05)

except KeyboardInterrupt:
    mc.setBlocks(x-1, y, z+2, x, y, z+3, block.AIR.id)
    GPIO.cleanup()
