#!/usr/bin/python
import mcpi.minecraft as minecraft
import mcpi.block as block
import RPi.GPIO as GPIO
import time

mc = minecraft.Minecraft.create()
LED = 23

GPIO.setmode(GPIO.BCM)
GPIO.setup(LED, GPIO.OUT, initial=False)

pwm = 0
l = GPIO.PWM(LED, 50)
l.start(pwm)

mc.player.setPos(-43,5,-56)

try:
  while True:
    for hit in mc.events.pollBlockHits():
      bl = mc.getBlockWithData(hit.pos.x, hit.pos.y, hit.pos.z)
      if bl.id == block.GOLD_ORE.id and pwm<100:
        pwm += 10
      if bl.id == block.IRON_ORE.id and pwm>0:
        pwm -= 10
      l.ChangeDutyCycle(pwm)
      time.sleep(0.1)

except KeyboardInterrupt:
    l.stop()
    GPIO.cleanup()
