#!/usr/bin/python
import mcpi.minecraft as minecraft
import mcpi.block as block
import RPi.GPIO as GPIO
import time

mc = minecraft.Minecraft.create()
rot   = 0
gelb  = 1
gruen = 2
Ampel = [18,23,25]
r1 = 14
o1 = 4
g1 = 5
sw = 15
ax = -50
ay = 2
az = -38

GPIO.setmode(GPIO.BCM)
GPIO.setup(Ampel[rot], GPIO.OUT, initial=True)
GPIO.setup(Ampel[gelb], GPIO.OUT, initial=False)
GPIO.setup(Ampel[gruen], GPIO.OUT, initial=False)

mc.setBlock(ax, ay, az, block.WOOL.id, sw)
mc.setBlock(ax, ay+1, az, block.WOOL.id, sw)
mc.player.setPos(-59,2,-39)

try:
    while True:
        p = mc.player.getTilePos()
        mat = mc.getBlock(p.x, p.y-1, p.z)
        if mat==block.IRON_BLOCK.id:
            GPIO.output(Ampel[gelb],True)
            mc.setBlock(ax, ay+1, az, block.WOOL.id, o1)
            time.sleep(0.6)
            GPIO.output(Ampel[rot],False)
            mc.setBlock(ax, ay+2, az, block.WOOL.id, sw)
            GPIO.output(Ampel[gelb],False)
            mc.setBlock(ax, ay+1, az, block.WOOL.id, sw)
            GPIO.output(Ampel[gruen],True)
            mc.setBlock(ax, ay, az, block.WOOL.id, g1)
            time.sleep(2)
            GPIO.output(Ampel[gruen],False)
            mc.setBlock(ax, ay, az, block.WOOL.id, sw)
            GPIO.output(Ampel[gelb],True)
            mc.setBlock(ax, ay+1, az, block.WOOL.id, o1)
            time.sleep(0.6)
            GPIO.output(Ampel[gelb],False)
            mc.setBlock(ax, ay+1, az, block.WOOL.id, sw)
            GPIO.output(Ampel[rot],True)
            mc.setBlock(ax, ay+2, az, block.WOOL.id, r1)
            time.sleep(2)

except KeyboardInterrupt:
    GPIO.cleanup()
