#!/usr/bin/python
import mcpi.minecraft as minecraft
import pyautogui
import RPi.GPIO as GPIO

mc = minecraft.Minecraft.create()
b = ['w','a','s','d']
t = [23,25,24,18]
LED = [12,21,8,7]

GPIO.setmode(GPIO.BCM)
for i in range(4):
  GPIO.setup(t[i], GPIO.IN, GPIO.PUD_DOWN)
  GPIO.setup(LED[i], GPIO.OUT, initial=False)

try:
  while True:
    for i in range(4):
      if GPIO.input(t[i]) == True:
        pyautogui.keyDown(b[i])
        GPIO.output(LED[i], True)
      else:
        pyautogui.keyUp(b[i])
        GPIO.output(LED[i], False)

except KeyboardInterrupt:
  GPIO.cleanup()

