#!/usr/bin/python
import mcpi.minecraft as minecraft
import mcpi.block as block
import time, random, math, pyautogui
import RPi.GPIO as GPIO

mc = minecraft.Minecraft.create()
b = ['w','a','s','d']
t = [23,25,24,18]
LED = [21,16,12,7]
a = [10, 6, 4, 2]
x = 10
z = 160
l = 20
ende = 0
xx = random.randrange(x,x+l)
zz = random.randrange(z,z+l)
mc.setBlock(xx, 0, zz, block.DIAMOND_ORE)
mc.player.setPos(x+l/2, 2, z+l/2)

GPIO.setmode(GPIO.BCM)
for i in range(4):
  GPIO.setup(t[i], GPIO.IN, GPIO.PUD_DOWN)
  GPIO.setup(LED[i], GPIO.OUT, initial=False)

while ende == 0:
  p = mc.player.getTilePos()
  d = math.sqrt((p.x-xx)*(p.x-xx)+(p.z-zz)*(p.z-zz))
  for i in range(4):
    if d < a[i]:
      GPIO.output(LED[i], True)
    else:
      GPIO.output(LED[i], False) 
  for i in range(4):
    if GPIO.input(t[i]) == True:
      pyautogui.keyDown(b[i])
    else:
      pyautogui.keyUp(b[i])
  bl = mc.getBlock(xx, 1, zz)
  if bl == block.AIR.id:
    ende = 1

for j in range(10):
  for i in range(4):
    GPIO.output(LED[i], True)
  time.sleep(0.1)
  for i in range(4):
    GPIO.output(LED[i], False)
  time.sleep(0.1)
time.sleep(1)
mc.setBlock(xx, 0, zz, block.SAND.id)
mc.setBlocks(x, 1, z, x+l, 1, z+l, block.GRASS.id)
GPIO.cleanup()    

