#!/usr/bin/python
import mcpi.minecraft as minecraft
import mcpi.block as block
import RPi.GPIO as GPIO

mc = minecraft.Minecraft.create()
r = 25
g = 24
b = 23
r0 = 14
g0 = 13
b0 = 11
r1 = 1
g1 = 5
b1 = 3

GPIO.setmode(GPIO.BCM)
GPIO.setup(r, GPIO.OUT, initial=False)
GPIO.setup(g, GPIO.OUT, initial=False)
GPIO.setup(b, GPIO.OUT, initial=False)

rp = GPIO.PWM(r, 50)
gp = GPIO.PWM(g, 50)
bp = GPIO.PWM(b, 50)
rp.start(0)
gp.start(0)
bp.start(0)

rx = -86
gx = -87
bx = -88
y = 0
z = -28
mc.player.setPos(gx,y,z+5)

try:
  while True:
    for hit in mc.events.pollBlockHits():
      bl = mc.getBlockWithData(hit.pos.x, hit.pos.y, hit.pos.z)
      if bl.id == block.WOOL.id and hit.pos.x == rx:
        for i in range(hit.pos.z-z):
          mc.setBlock(rx, y, z+i, block.WOOL.id, r1)
        for i in range(10-hit.pos.z+z):
          mc.setBlock(rx, y, hit.pos.z+i, block.WOOL.id, r0)
        rp.ChangeDutyCycle(hit.pos.z-z)
      if bl.id == block.WOOL.id and hit.pos.x == gx:
        for i in range(hit.pos.z-z):
          mc.setBlock(gx, y, z+i, block.WOOL.id, g1)
        for i in range(10-hit.pos.z+z):
          mc.setBlock(gx, y, hit.pos.z+i, block.WOOL.id, g0)
        gp.ChangeDutyCycle(hit.pos.z-z)
      if bl.id == block.WOOL.id and hit.pos.x == bx:
        for i in range(hit.pos.z-z):
          mc.setBlock(bx, y, z+i, block.WOOL.id, b1)
        for i in range(10-hit.pos.z+z):
          mc.setBlock(bx, y, hit.pos.z+i, block.WOOL.id, b0)
        bp.ChangeDutyCycle(hit.pos.z-z)

except KeyboardInterrupt:
    GPIO.cleanup()
